Subject: [IPP] IPP WG Agenda 3:00-4:30pm US Eastern (24 September 2020)

From: Ira McDonald via ipp <[email-masked]>
Date: Wed, 23 Sep 2020 12:20:58 -0400

Hi,

Our next IPP WG call will be our regular Thursday 24 September 2020 at
12:00-13:30pm US Pacific / 3:00-4:30pm US Eastern

NOTE: Please USE the *new* Zoom meeting below!

-------------------------------------------------------
Meeting information
-------------------------------------------------------
Topic: PWG IPP Workgroup
Time: Thursday 03:00 PM Eastern Time (US and Canada)
        Every week on Thu, until Jan 21, 2021, 34 occurrence(s)

Join Zoom Meeting
*https://zoom.us/j/94311716133* <https://zoom.us/j/94311716133>

Join Zoom Meeting first and then join audio by phone or computer
Meeting ID: 943 1171 6133
Password: 452204

Toll-Free
        Join Zoom meeting first for numbers
Dial by your location
        +1 253 215 8782 US (Tacoma)
        +1 346 248 7799 US (Houston)
        +1 669 900 9128 US (San Jose)
        +1 301 715 8592 US (Germantown)
        +1 312 626 6799 US (Chicago)
        +1 646 558 8656 US (New York)
Meeting ID: 943 1171 6133
Password: 452204

Find your local number: *https://zoom.us/u/ab9YtwWxr*
<https://zoom.us/u/ab9YtwWxr>

Unique attendee access code:  Displayed in the Zoom meeting
Waiting Room:  Attendees have to be admitted by the Host
-------------------------------------------------------

Agenda:
(1) PWG IP Policy, Minute Taker, Roll Call, and Agenda Review
- Volunteer as minute taker?
-- Status of all IPP documents in progress is up-to-date below

(2) Approve IPP minutes from previous meetings
- https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20200827.pdf
-- IPP WG regular call on 08/27/20

(3) Status/Review of various IPP mailing list notes
- https://www.pwg.org/archives/ipp/2020/020652.html
-- What does staple-top-left actually mean?
- https://www.pwg.org/archives/ipp/2020/020658.html
-- IPP Document Encryption
- https://www.pwg.org/archives/ipp/2020/020664.html
-- Issue #94: "Close-Job" should be 0x003A from PWG 5100.7, not 0x003B from
PWG 5100.11
- https://www.pwg.org/archives/ipp/2020/020666.html
-- Fwd: [dnssd] RFC 8882 on DNS-Based Service Discovery (DNS-SD) Privacy
and Security Requirements
- https://www.pwg.org/archives/ipp/2020/020667.html
-- [PWG5100.7] Issue #95: Table 2 - "media-col" Member Attributes :
Ambiguous whether Conformance column is for Clients or Printers

<http://www.pwg.org/archives/ipp/2019/019948.html>
(4) Status of AMSC and ISO liaisons w/ PWG (Paul)
- http://ftp.pwg.org/pub/pwg/general/sc/pwg-sc-call-minutes-20200824.htm
- http://ftp.pwg.org/pub/pwg/general/sc/pwg-sc-call-minutes-20200908.htm
- http://ftp.pwg.org/pub/pwg/general/sc/pwg-sc-call-minutes-20200921.htm
-- see PWG Steering Committee minutes from 08/24/20, 09/08/20, 09/21/20

(5) Status of PWG and IPP WG Formal Approvals and Last Calls (All)
* IPP Everywhere v1.1 Printer Self-Certification Tools Update 1 (Mike)
- https://www.pwg.org/archives/ipp/2020/020589.html
- https://www.pwg.org/archives/ipp/2020/020590.html
- https://www.pwg.org/archives/ipp/2020/020668.html
-- PWG status PWG Virtual F2F on 18 August 2020 - v1.0 Tools approved
-- IPP Everywhere v1.1 Self-Cert Tools under development and testing
-- Schedule - Final IPP Everywhere v1.1 Self-Cert Tools in Q4 2020

* Job Accounting for IPP v1.0 (Mike)
- https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippaccounting10-20200827-rev.pdf
-- Stable draft - for a Best Practice
-- PWG review at PWG Virtual F2F on 18 August 2020
-- IPP WG Last Call started 09/16/20 ends 10/07/20
-- Schedule - PWG Last Call in Q4 2020

(6) Status of Updates to IPP System Service / INFRA for Cloud (Cihan, Mike)
- http://www.pwg.org/archives/ipp/2020/020540.html
- https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-f2f-minutes-20200506.pdf
-- Cihan plans to continue PWG participation as an individual
-- PWG discussion at PWG Virtual F2F on 08/18/20
-- Schedule - IPP Registration in Q4 2020 / Q1 2021

(7) Review of IPP Enterprise Printing Ext v2.0 (Smith)
- https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippepx20-20200826-rev.pdf
-- Interim draft - for a Candidate Standard
-- IPP WG review on 08/27/20 - stopped at section 6.4.6
-- Schedule - Prototype draft in Q1 2021

(8) Status of recent IPP Wiki Pages (Mike)
-
https://github.com/istopwg/ippsample/wiki/IPP-Everywhere-Value-Proposition-Discussion-Points
-- IPP Everywhere Value Proposition Discussion Points
-- PWG discussion at PWG Virtual F2F on 08/18/20

(9) Status of various IPP documents (All)
* IPP Encrypted Jobs and Documents v1.0 (Mike/Smith)
- https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ipptrustnoone10-20200218-rev.pdf
-- Prototype draft - for a Candidate Standard
-- PWG  review at PWG Virtual F2F on 19 August 2020
-- Smith notes that HP prototyping may be delayed until Spring 2021
-- Way forward?
-- Schedule - Stable draft in Q4 2020 / Q1 2021

* IPP Production Printing Ext v2.0 (Mike)
- https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippppx20-20200429-rev.pdf
-- Prototype draft - for a Candidate Standard
-- PWG review at PWG Virtual F2F on 20 August 2020
-- Just waiting on prototyping in ippsample
-- Mike to post updated draft with new "imposition-template" keywords
-- Schedule - Stable draft in Q4 2020 / Q1 2021

* IPP Driverless Printing Extensions v2.0 (Smith)
- https://ftp.pwg.org/pub/pwg/ipp/wd-ippnodriver20-20200204-rev.pdf
-- Interim draft - for a Candidate Standard
-- PWG  review at PWG Virtual F2F on 19 August 2020
-- Smith reported on print-quality-col topic
-- Schedule - Prototype draft in Q2 2021

(10) Open Printing update (Ira)
-
https://ftp.pwg.org/pub/pwg/liaison/openprinting/presentations/OpenPrintingProjectUpdates_2020-08-18.pdf
- https://openprinting.github.io
- https://developers.google.com/open-source/gsoc
- https://developers.google.com/season-of-docs
- https://communitybridge.org/
- OP GSoC (Google Season of Code) - complete on 09/08/20
-- 1 student dropped out in July (project continues in LFMP)
-- 1 student failed at end of August (project continues in LFMP)
- LFMP (Linux Foundation Mentorship Program) - student projects in progress
-- IPP Scan project moved with two students to LFMP
-- IPP FaxOut project added with two students  to LFMP
- OP GSoD (Google Season of Docs) - student projects in progress
-- GSoD technical writer projects were accepted on 08/16/20
- OP Steering Committee
-- OP monthly calls 08/11/20, 09/01/20, and upcoming 10/20/20

(11) Next IPP Meetings

- IPP WG call on Thu 8 October 2020 at 3:00-4:30pm US Eastern
-- regular call

- IPP WG call on Thu 22 October 2020 at 3:00-4:30pm US Eastern
-- IPP WG slides review for November PWG Virtual F2F

Cheers,
- Ira

*Ira McDonald (Musician / Software Architect)*

*Chair - SAE Trust Anchors and Authentication TF*
*Co-Chair - TCG Trusted Mobility Solutions WG*

*Co-Chair - TCG Metadata Access Protocol SG*

*Chair - Linux Foundation Open Printing WGSecretary - IEEE-ISTO Printer
Working GroupCo-Chair - IEEE-ISTO PWG Internet Printing Protocol WGIETF
Designated Expert - IPP & Printer MIBBlue Roof Music / High North
Inchttp://sites.google.com/site/blueroofmusic
<http://sites.google.com/site/blueroofmusic>http://sites.google.com/site/highnorthinc
<http://sites.google.com/site/highnorthinc>mailto: [email-masked]
<[email-masked]>(permanent) PO Box 221  Grand Marais, MI 49839
906-494-2434*
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp